Package: groovy.org.codenarc.rule.security

## [Groovy] Class UnsafeImplementationAsMapRule

- groovy.org.codenarc.rule.security.UnsafeImplementationAsMapRule

- Reports incomplete interface implementations created by map-to-interface coercions. Example: [hasNext: { ... }] as Iterator (Not all Iterator methods are implemented. An UnsupportedOperationException will be thrown upon call to e.g. next().) By default, this rule does not apply to test files.

  Authors:
    Artur Gajowy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `int` | `compilerPhase`
    `String` | `doNotApplyToFilesMatching`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### int compilerPhase

    - #### String doNotApplyToFilesMatching

    - #### String name

    - #### int priority